tpmtoken_setpasswd(1)

TPM Management - tpmtoken_setpasswd

NAME
tpmtoken_setpasswd - change the password(s) associated with the user's TPM PKCS#11 data store

SYNOPSIS
tpmtoken_setpasswd [ OPTION ]

DESCRIPTION

tpmtoken_setpasswd is used to change the password(s) associated with the user's data store.

PKCS#11 requires a password (or PIN) for the Security Officer (SO) and the User. The SO and User password are set when the data store is initialized. This command will allow the user change either password.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-k, --token STRING
    Use STRING to identify the label of the PKCS#11 token to be used

-s, --security-officer
    Set the Security Officer password instead of the User password

SEE ALSO

tpmtoken_init(1), tpmtoken_import(1), tpmtoken_objects(1), tpmtoken_protect(1)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>